# vim: set sw=4 ts=4 et nu:

Name:               tinypy
Version:            1.1
Release:            2.2
Summary:            Minimalist Implementation of Python
Source:             http://tinypy.googlecode.com/files/tinypy-%{version}.tar.gz
URL:                http://www.tinypy.org/
Group:              Development/Languages/Python
License:            MIT
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      python-devel
BuildRequires:      gcc make glibc-devel pkgconfig

%description
tinypy is a minimalist implementation of python in 64k of code

tinypy includes a whole heap of features:
- parser and bytecode compiler written in tinypy
- fully bootstrapped
- luaesque virtual machine with garbage collection written in C
- it's "stackless" sans any "stackless" features
- cross-platform :) it runs under windows / linux / macosx
- a fairly decent subset of python
  * classes and single inheritance
  * functions with variable or keyword arguments
  * strings, lists, dicts, numbers
  * modules, list comprehensions
  * exceptions with full traceback
  * some builtins 

%prep
%setup -q

%build
%__python ./setup.py linux math

%install
%__install -D -m0755 build/tinypy "%{buildroot}%{_bindir}/tinypy"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc *.txt
%doc examples
%{_bindir}/tinypy

%changelog
* Sun Oct 23 2011 pascal.bleser@opensuse.org
- initial version (1.1)
